#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x93071592, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xde64a679, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x3b080c3f, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x3fdcca79, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xff139ebe, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x23b730f8, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x5dc9559f, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x84d41da1, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x7c85ad4b, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x206bd679, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x2600b755, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x366582bd, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xd156a564, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xb0097918, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x8810eb8f, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xc9df0451, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x5a557e3d, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x7aedf2de, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xc8e11c91, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x6aff9043, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x1cceba62, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x64c40416, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x8361c16b, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xe1394def, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x97caf3d4, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x5ac51b42, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xa5d8a4ff, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x6c26fcfb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xf66f4eef, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xf2e89ba5, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xb165aafe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xfed3027e, "kthread_queue_work" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x46614460, "kthread_create_worker" },
	{ 0x610616f3, "_dev_info" },
	{ 0x4c1a4952, "sched_set_fifo" },
	{ 0x87a92b7d, "kthread_destroy_worker" },
	{ 0x64c6ef52, "crypto_register_aead" },
	{ 0xb914e657, "crypto_unregister_aead" },
	{ 0x6b068b0c, "crypto_register_ahash" },
	{ 0xafcd663f, "crypto_unregister_ahash" },
	{ 0xddedeb10, "crypto_register_akcipher" },
	{ 0x5780332, "crypto_unregister_akcipher" },
	{ 0x10a2cf0f, "crypto_register_kpp" },
	{ 0x7db7a2cb, "crypto_unregister_kpp" },
	{ 0x60158241, "crypto_register_skcipher" },
	{ 0x30a6f1c3, "crypto_unregister_skcipher" },
	{ 0x5fdb1f01, "crypto_enqueue_request" },
	{ 0x8d34b235, "crypto_dequeue_request" },
	{ 0x6efeb40, "crypto_enqueue_request_head" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.7");
