#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x9c02c193, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0xf79bf134, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0xea0820d6, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xf1abc839, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0x82feede6, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0xf69e98f3, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0x1ac31e9f, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0xd7c862cd, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xbdc5a381, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0x4fa3489d, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0x227357a6, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x206a20f2, "_gpl");
SYMBOL_CRC(mhi_notify, 0x1afcf9c0, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x97e147df, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0xc5c05c81, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x1225a82b, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0xf32f02be, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xee25b34a, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0xf78ba177, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0xfcacaaaa, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x6859000e, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xb439ff82, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0x66e25256, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x3f716882, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0xfedcbf1f, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xfb0d2dbe, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x3ea329da, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x14490686, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0xef573186, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xf601b731, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0xc77ec90b, "_gpl");
SYMBOL_CRC(mhi_device_put, 0xdf576fb9, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0x638b5a89, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9a9e773a, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xffd5afd2, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe1eb2a87, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0x2f4703a7, "dma_unmap_page_attrs" },
	{ 0xd078b682, "request_firmware" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0x2904617f, "device_initialize" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x6461c522, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ca092ac, "bpf_trace_run2" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x695b09b8, "__wake_up" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0x6e3e0627, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x10f4d484, "dev_driver_string" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0x6c7634d9, "dma_map_page_attrs" },
	{ 0x1d1160c2, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33bc8620, "put_device" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0x60530725, "sysfs_remove_file_ns" },
	{ 0x606f2571, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x610616f3, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa35a64b6, "perf_trace_run_bpf_submit" },
	{ 0x5ae74482, "bus_unregister" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0xdad4cf62, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xade1999f, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x180c5304, "dma_alloc_attrs" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x1065a245, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb3b6f492, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x4f848f79, "bpf_trace_run3" },
	{ 0xfadb823a, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7a4c0d3e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xafe7c043, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x521c5716, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4911c581, "driver_register" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xd93c3599, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.7");
