#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_commit_reap, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0xbd1b04eb, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0x123cce39, "_gpl");
SYMBOL_CRC(is_root_decoder, 0x64552ac5, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0x4fd9d329, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x61a97b0c, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0xef2947de, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x8d411940, "_gpl");
SYMBOL_CRC(is_cxl_port, 0xfc8f68f5, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xe674db08, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x1a8d8246, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0x9d0107d1, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0xb39f8aa6, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0x35ad5977, "_gpl");
SYMBOL_CRC(find_cxl_root, 0x7ccb2d02, "_gpl");
SYMBOL_CRC(put_cxl_root, 0x2bfd21ed, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0x4c455622, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xaf0084b9, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x9668c0d6, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x36de2682, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xbc5abc13, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xb219b93d, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x367a0e64, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x81c0a4c0, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x3eb6d075, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0xca50eee2, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0xde28cf5e, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0x9d20f07f, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0x5861ce72, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0x85ec8c28, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0x6829bca2, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xf2808b4b, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0xd197d361, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0xe85d849e, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0x9c724c4c, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0xe24f84af, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xf930b3fe, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x09a18a1e, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x78f997d4, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x584aef02, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0x3d5ed342, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x65b28709, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0x1ea9ca5a, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0xf0c3bb36, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x56408fff, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xfb77b6b8, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x8e38ee1e, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0x0dd02bea, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xff698e11, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0xebfdc939, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xc8d71ea7, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xcb65465d, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xffd35af0, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0x84177cb0, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x41546f8c, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0x190e09f0, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x4011053d, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x7f23f5a2, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x72073659, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0xbd83976c, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x3407f943, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0xe050c438, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0xfb4de03d, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xb55bd848, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0xe7b48ad4, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xa301821d, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0xbcf9f6cd, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x841f7c93, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xae0a0538, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0x3f6c2c17, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0x72d9c4ca, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x0df6df8c, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0x6a0782af, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x23763d55, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0xc8f4dde0, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x64fb9919, "_gpl");
SYMBOL_CRC(read_cdat_data, 0x73955cc3, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xa7146fee, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0xa2286613, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0x8300e95f, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xf4b478bc, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0xf6965921, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xb97074b9, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0x3c8502cf, "_gpl");
SYMBOL_CRC(cxl_port_commit_reap, 0xb06463a2, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x08f9384e, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0x01512b06, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x83d43c5c, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x38857277, "_gpl");
SYMBOL_CRC(is_cxl_region, 0x20bb473a, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0xb4aff280, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0xdfaa3990, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x80c02891, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5c9b3f4, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0x5cfa43f1, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x4ad8b4f1, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xffd5afd2, "bpf_trace_run4" },
	{ 0x1c5ad487, "debugfs_attr_write" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0x6f603baf, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa3202b42, "cdev_device_del" },
	{ 0x3a56a7b, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xb42a9342, "device_unregister" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0xba39adce, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x2904617f, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2867daac, "seq_lseek" },
	{ 0x6461c522, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ca092ac, "bpf_trace_run2" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x63affb95, "devm_remove_action" },
	{ 0x6e3e0627, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x79475691, "platform_bus" },
	{ 0x10f4d484, "dev_driver_string" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0xd712f8ec, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x24b56dd2, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xf385e86a, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x33bc8620, "put_device" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0xe764a96b, "bus_for_each_dev" },
	{ 0x63192ad2, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x96f3fdb0, "debugfs_attr_read" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa35a64b6, "perf_trace_run_bpf_submit" },
	{ 0x769d319e, "sysfs_update_group" },
	{ 0x5ae74482, "bus_unregister" },
	{ 0x647814b9, "down_write" },
	{ 0x8b5cbcce, "devm_kfree" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x1db184a2, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3af1f1f2, "bus_find_device" },
	{ 0xade1999f, "device_add" },
	{ 0x3526110b, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2b8f5c0e, "simple_attr_release" },
	{ 0x49e00280, "xa_load" },
	{ 0x27af4692, "noop_llseek" },
	{ 0xae655561, "bpf_trace_run5" },
	{ 0x762ed1e1, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x7ad07cc, "kernfs_find_and_get_ns" },
	{ 0xcdef0f09, "debugfs_remove" },
	{ 0x6269b3a2, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x1065a245, "driver_unregister" },
	{ 0x66ae190, "pcie_link_speed_mbps" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9e6116f, "device_find_child" },
	{ 0xb081b810, "mutex_lock_interruptible" },
	{ 0x8c954c01, "devm_release_action" },
	{ 0xb3b6f492, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc800bdbd, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe0fbc128, "device_for_each_child_reverse_from" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5641979c, "down_read" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x657df954, "__xa_insert" },
	{ 0xdc63e744, "xa_erase" },
	{ 0x4f848f79, "bpf_trace_run3" },
	{ 0x2bba5ebc, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10972f7, "debugfs_create_file" },
	{ 0x6a34c2f9, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xd56fb87c, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x7c15706e, "einj_cxl_available_error_type_show" },
	{ 0xc3ef4594, "xa_destroy" },
	{ 0x765c42a5, "xa_find" },
	{ 0x51ac51f, "kernfs_put" },
	{ 0x1681b7a8, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0xd4c380fa, "xa_store" },
	{ 0x50660b11, "device_match_name" },
	{ 0xc00e1b3a, "einj_cxl_inject_error" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x5cf16db6, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf5769735, "pci_walk_bus" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x42a170e7, "xa_find_after" },
	{ 0x2a6f612c, "__devm_add_action" },
	{ 0xb186553, "pci_find_dvsec_capability" },
	{ 0xeaa6349c, "device_find_child_by_name" },
	{ 0x290836b7, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xdcf16c8, "single_open" },
	{ 0x88c3ca7, "pci_write_config_word" },
	{ 0xb36dcddc, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x6827e08, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7c9463e1, "up_read" },
	{ 0x4911c581, "driver_register" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ed68dd0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x622030ad, "pci_bus_type" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xd93c3599, "bus_register" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "A817BA2FA461C2BBF82B58D");
MODULE_INFO(rhelversion, "9.7");
