#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0x0f0baba0, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0x64c21a99, "_gpl");
SYMBOL_CRC(stm_data_write, 0xe821a00f, "_gpl");
SYMBOL_CRC(stm_register_device, 0x6d6459bd, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x0ab05238, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0xe86ec628, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0xdc4fb11f, "_gpl");
SYMBOL_CRC(stm_source_write, 0xb12b9c3a, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xfdd34037, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc3cd1477, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb42a9342, "device_unregister" },
	{ 0x24ca1ed, "pm_runtime_set_autosuspend_delay" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0xf4f425a1, "vm_iomap_memory" },
	{ 0x6b7def22, "config_item_get" },
	{ 0x2904617f, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f153850, "synchronize_srcu" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0x3573b73b, "configfs_unregister_subsystem" },
	{ 0xca51d7eb, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x33bc8620, "put_device" },
	{ 0x7754bc16, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2f1a494d, "init_srcu_struct" },
	{ 0x647814b9, "down_write" },
	{ 0x4ae6cccc, "up_write" },
	{ 0x98db2a1, "configfs_register_subsystem" },
	{ 0xade1999f, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x9afa5309, "__srcu_read_lock" },
	{ 0xbb730fec, "config_group_init_type_name" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x73d688e5, "class_unregister" },
	{ 0x471bb695, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdcb764ad, "memset" },
	{ 0x1951ac6d, "__get_task_comm" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x2e7816b1, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xfd98e4eb, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0345ea1, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xe06a5fa9, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0x3d2ef568, "config_item_put" },
	{ 0x18c8fa43, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc7c2ebe3, "kobject_set_name" },
	{ 0x50660b11, "device_match_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff4bdbf0, "__srcu_read_unlock" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x1e9b4c2e, "__pm_runtime_suspend" },
	{ 0x4db4acf4, "__pm_runtime_use_autosuspend" },
	{ 0xe9146bb4, "__pm_runtime_disable" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x5f433f7d, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc37eb769, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
