#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x14e4b61e, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x74b8ad48, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x81eaba20, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xbfe58c61, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xa3917fd3, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x9823aec3, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x99ee82ae, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xa5f69904, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0x187c93e0, "_gpl");
SYMBOL_CRC(can_change_state, 0x9bac4aed, "_gpl");
SYMBOL_CRC(can_bus_off, 0x2ee7ba25, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x9cd373d6, "_gpl");
SYMBOL_CRC(free_candev, 0x497baad8, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x09d999b1, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xb80f1c7f, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xe16093a6, "");
SYMBOL_CRC(open_candev, 0xab083335, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x3c22cdc9, "_gpl");
SYMBOL_CRC(close_candev, 0xe25a7b46, "_gpl");
SYMBOL_CRC(register_candev, 0x2106ba9c, "_gpl");
SYMBOL_CRC(unregister_candev, 0x14a371a8, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x36c972e3, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x1c3ceea8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19e8fc5f, "skb_put" },
	{ 0xedb1619f, "gpiod_set_value" },
	{ 0xd5838950, "skb_tstamp_tx" },
	{ 0x8bfca431, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5c641863, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xce00425d, "unregister_netdev" },
	{ 0x5f5a304e, "rtnl_link_register" },
	{ 0xd7a7e6f1, "netdev_warn" },
	{ 0x22849f6f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1b32c3b7, "netdev_err" },
	{ 0x5a4686c, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7461d60c, "device_property_read_u32_array" },
	{ 0x2ea8f8c7, "of_get_child_by_name" },
	{ 0xeb90d099, "rtnl_link_unregister" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf520215d, "register_netdev" },
	{ 0x9d02bd84, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0x7c722d01, "sock_efree" },
	{ 0x8fa7e70a, "netif_rx" },
	{ 0x53566605, "__netdev_alloc_skb" },
	{ 0x4fd9532, "skb_trim" },
	{ 0xac2838e2, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a2e93e, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x7731b0cb, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x17c94754, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2f2f1086, "dev_err_probe" },
	{ 0x89efeee, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x4ef6846d, "skb_clone_tx_timestamp" },
	{ 0xc18e3c2f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1A01C30400C623AD7A56E46");
MODULE_INFO(rhelversion, "9.7");
