#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x467e7382, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xf02189cf, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x8d4071aa, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x59951294, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x689a5cd4, "ether_setup" },
	{ 0xf074ef1b, "__ethtool_get_link_ksettings" },
	{ 0xd4047b49, "ethtool_get_ts_info_by_layer" },
	{ 0xf8b7ab4e, "init_net" },
	{ 0xdbbefbff, "generic_hwtstamp_set_lower" },
	{ 0xb44706b9, "generic_hwtstamp_get_lower" },
	{ 0xfa9bc231, "dev_mc_del" },
	{ 0xca167b53, "dev_uc_del" },
	{ 0x856e309e, "dev_mc_add_excl" },
	{ 0x304dab83, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x756dcfb2, "vlan_vid_del" },
	{ 0x754cbd7e, "vlan_vid_add" },
	{ 0x5d49f788, "dev_set_allmulti" },
	{ 0x99313f0a, "dev_set_promiscuity" },
	{ 0x283bf3c0, "dev_uc_unsync" },
	{ 0x8bb77e0d, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x5f5a304e, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xeb90d099, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6407f8f6, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0xb44d6256, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xead5a988, "dev_uc_add" },
	{ 0x14450225, "dev_set_mac_address" },
	{ 0xe9673571, "call_netdevice_notifiers" },
	{ 0x737fdd8b, "netif_inherit_tso_max" },
	{ 0x53df88e2, "netdev_update_features" },
	{ 0xcf5bac30, "netif_stacked_transfer_operstate" },
	{ 0x5a2b9669, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x1771da3b, "unregister_netdevice_queue" },
	{ 0x4b5bdd60, "netdev_upper_dev_unlink" },
	{ 0x5a2b2f0d, "dev_uc_sync" },
	{ 0x626da4e2, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7731b0cb, "skb_clone" },
	{ 0x8fa7e70a, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x213229b8, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5c641863, "consume_skb" },
	{ 0x1a6e0b5e, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x920f950b, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x615122ab, "register_netdevice" },
	{ 0x17163be0, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x91271dfb, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xe3f9b846, "__netif_rx" },
	{ 0xd5966a04, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc304a456, "netdev_core_stats_inc" },
	{ 0x27c2cbc3, "__dev_queue_xmit" },
	{ 0x6709daca, "dev_forward_skb" },
	{ 0x5b39e369, "passthru_features_check" },
	{ 0x3aa3d343, "eth_validate_addr" },
	{ 0xee1724ae, "ndo_dflt_fdb_dump" },
	{ 0xe91edc45, "eth_header_parse" },
	{ 0xdc5ec037, "eth_header_cache" },
	{ 0xa1c737e0, "eth_header_cache_update" },
	{ 0x6f47aedf, "ethtool_op_get_link" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.7");
