#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x4a854305, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xcd89794f, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xb7f54ca3, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x585ea8ad, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x7be4e10b, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x1fcf64b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x126e715c, "ida_alloc_range" },
	{ 0xa38ae7c2, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x465fbb37, "__nlmsg_put" },
	{ 0x19e8fc5f, "skb_put" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0x5c641863, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb42a9342, "device_unregister" },
	{ 0x89cbd2ae, "skb_dequeue" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0x5f5a304e, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x6461c522, "device_for_each_child" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x4c79482d, "rtnl_create_link" },
	{ 0x1771da3b, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x9cbdf8dc, "skb_queue_purge_reason" },
	{ 0x5a4686c, "alloc_netdev_mqs" },
	{ 0xd1e496bd, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x33bc8620, "put_device" },
	{ 0xb03715b8, "__alloc_skb" },
	{ 0x610616f3, "_dev_info" },
	{ 0xef8344ac, "skb_queue_tail" },
	{ 0xcd9e8b6c, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xeb90d099, "rtnl_link_unregister" },
	{ 0xf8b7ab4e, "init_net" },
	{ 0x3d89b12, "skb_pull" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x27af4692, "noop_llseek" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0xcdef0f09, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x9d02bd84, "free_netdev" },
	{ 0x73d688e5, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd1045637, "class_dev_iter_init" },
	{ 0x3a772a85, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0x18c8fa43, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x69c25a08, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xeaa6349c, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb36dcddc, "debugfs_create_dir" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x5f433f7d, "class_register" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xd757e16c, "skb_queue_head" },
	{ 0xc37eb769, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x615122ab, "register_netdevice" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
