#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x06ba5d12, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x629059ce, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xd484125e, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xa58731a0, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x3b9aab96, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x0d761024, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x2f8f2c0e, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xc687433a, "");
SYMBOL_CRC(nvdimm_region_notify, 0xcf592e1d, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x342090e0, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xa283eb81, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x8939633a, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0xb1e2b809, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x6f10ea57, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x4f5a3d38, "");
SYMBOL_CRC(nd_device_unregister, 0x242937c0, "");
SYMBOL_CRC(__nd_driver_register, 0x7e83bcf6, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0x15e9b9e0, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x0a23bb1f, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x0a3bf262, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xb57d60ae, "_gpl");
SYMBOL_CRC(to_ndd, 0x6e0919f7, "");
SYMBOL_CRC(nvdimm_name, 0x841e2f6d, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xbbe0d40b, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x58cd71e3, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x4fa68d13, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x44db7242, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x99371553, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xf71c0384, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x0ae1687a, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xe1542f2f, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x0a468459, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x170655b7, "_gpl");
SYMBOL_CRC(to_nd_region, 0x60ff955a, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x88a84534, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x3e58947b, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x04954f54, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xe8c07479, "");
SYMBOL_CRC(nd_region_release_lane, 0x9452a4c7, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x050094d4, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x483a944d, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x77f2284a, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x13c6872f, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x295987c2, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x943ccac8, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x300f7fba, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x347afa6d, "");
SYMBOL_CRC(pmem_sector_size, 0x548702b6, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xb6c5ebeb, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xb877e8d4, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x890af4ec, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x0792504e, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xd33573e1, "");
SYMBOL_CRC(devm_namespace_enable, 0xc35a79ec, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x4498de51, "_gpl");
SYMBOL_CRC(badrange_init, 0x4fdf07e7, "_gpl");
SYMBOL_CRC(badrange_add, 0x7370a03c, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd930b705, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xd18e26c7, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xc49a5ee5, "");
SYMBOL_CRC(is_nd_btt, 0x05bc394d, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x4be953e4, "");
SYMBOL_CRC(nd_btt_version, 0x473bfbdd, "");
SYMBOL_CRC(nd_btt_probe, 0x9860205e, "");
SYMBOL_CRC(to_nd_pfn, 0x32e8d694, "");
SYMBOL_CRC(is_nd_pfn, 0xd7f0f55e, "");
SYMBOL_CRC(nd_pfn_validate, 0x508399db, "");
SYMBOL_CRC(nd_pfn_probe, 0x8349ede2, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xe38790cb, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x0075b8e2, "");
SYMBOL_CRC(is_nd_dax, 0x0ed29900, "");
SYMBOL_CRC(nd_dax_probe, 0x5b78da45, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2cf343f5, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x46831a72, "ida_destroy" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x37294677, "devm_memremap" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2ce84233, "badblocks_set" },
	{ 0xb42a9342, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0x53a43d51, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x2904617f, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a81d5c, "badblocks_exit" },
	{ 0x6461c522, "device_for_each_child" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x6e3e0627, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0x626e2fa3, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x10f4d484, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x24b56dd2, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xce3a978c, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x33bc8620, "put_device" },
	{ 0x16b1c724, "badblocks_show" },
	{ 0x1dbffca4, "key_type_encrypted" },
	{ 0x610616f3, "_dev_info" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x2455f186, "perf_pmu_migrate_context" },
	{ 0x60034796, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x30310919, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ae74482, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbbaea7c5, "__cpuhp_setup_state" },
	{ 0x7f439e91, "devm_memunmap" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0xade1999f, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x27af4692, "noop_llseek" },
	{ 0x3cfc0589, "class_create" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x7ad07cc, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x1065a245, "driver_unregister" },
	{ 0x50db51df, "__cpuhp_state_add_instance" },
	{ 0xc9af9005, "perf_pmu_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x9e6116f, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x5641979c, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xb0f0f3c6, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3e63bdc2, "__devm_release_region" },
	{ 0x5bab7f98, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x51ac51f, "kernfs_put" },
	{ 0x18c8fa43, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcc38e9c8, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x913c715, "badblocks_check" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x2a6f612c, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x5a11689b, "badblocks_clear" },
	{ 0x4600d52a, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x7c9463e1, "up_read" },
	{ 0x4911c581, "driver_register" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xea90c90d, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xd93c3599, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CAA6CCC1747B5FD58AB299");
MODULE_INFO(rhelversion, "9.7");
