#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x5b6f12a0, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xa3c47370, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xda4319cc, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x5717317b, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x0416eb05, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x8437f9ca, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x717ba7e4, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x3dc9ef6a, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x56808f88, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x982ec429, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x5378eeee, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x906fc683, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xfd8e7bac, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x6a64d2c6, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x878892da, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x0f07cd91, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x6ef96dcb, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x45d30068, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x1a159725, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x500c8152, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x0a61e015, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0xa54624b7, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x81dc34de, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x82c5cf52, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xa0581d77, "_gpl");
SYMBOL_CRC(nvme_get_features, 0xa04e1ff6, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x0b45d2e2, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x052b7f42, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xb87f1f9d, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x688d7851, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0xa7416ab3, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xc701fc40, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xc5923102, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x3fb9106b, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x3a6ded74, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xb84ee478, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0xf2f2cd5b, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x6c09473c, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x31f3b55e, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x6c255a2b, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x258fd40d, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x341584f8, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x5f4f6930, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xb92d8665, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x29645b7a, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x28d25fcc, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xfaea4f09, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0xdf19c29c, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x80bc51c8, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xca5c4c42, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x7d8d4949, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x2bc19ede, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x08a62083, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x54c4601b, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x1c970f3e, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xe9f83c9c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x2dc45a0e, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xb7c1e399, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x369cb3b1, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x984ed298, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xac2802dd, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xef36960e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81680806, "set_capacity_and_notify" },
	{ 0xe655e29d, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2cf343f5, "set_disk_ro" },
	{ 0x3b51d562, "__blk_alloc_disk" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9d2f8a61, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x46831a72, "ida_destroy" },
	{ 0x61a782a8, "device_remove_file_self" },
	{ 0x5ec153f5, "param_ops_uint" },
	{ 0xfa301ff4, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0x5809b3f5, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xd8f37c76, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x7acf4fb4, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xa224bfff, "blk_mq_tagset_wait_completed_request" },
	{ 0xa3202b42, "cdev_device_del" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0x55e0f97a, "queue_limits_stack_bdev" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x2904617f, "device_initialize" },
	{ 0xc127955f, "blk_mq_unquiesce_queue" },
	{ 0x5541eb68, "blk_mq_quiesce_queue" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x54c39a84, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe01a1ba8, "__traceiter_block_bio_remap" },
	{ 0x68ec1e78, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4ca092ac, "bpf_trace_run2" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0xe1aa92e3, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x695b09b8, "__wake_up" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0x9f153850, "synchronize_srcu" },
	{ 0x9e704a4e, "param_ops_byte" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0x6e3e0627, "get_device" },
	{ 0xfa636248, "blk_mq_end_request" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7f8b35ce, "__blk_mq_alloc_disk" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0xce30954d, "mempool_free" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x49f796a7, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe913952d, "blk_mq_alloc_tag_set" },
	{ 0x2fdbd09, "blk_rq_is_poll" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0x80d3c2b, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd89481c, "mempool_create" },
	{ 0x1178a464, "put_disk" },
	{ 0x8bc9e38c, "crypto_alloc_kpp" },
	{ 0xf385e86a, "cdev_device_add" },
	{ 0x19516d87, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x67daa744, "blk_execute_rq" },
	{ 0x33bc8620, "put_device" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0xd2039a63, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fb7e339, "kmalloc_node_trace" },
	{ 0x3c321861, "mempool_alloc" },
	{ 0xbea0fb5d, "blk_mq_free_request" },
	{ 0xabbe926f, "__free_pages" },
	{ 0x610616f3, "_dev_info" },
	{ 0x71c6c1ea, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x63192ad2, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4548c48b, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x41b1e83, "blk_rq_poll" },
	{ 0xf5b9f20a, "blk_mq_quiesce_tagset" },
	{ 0xa02ac8e5, "kobject_uevent_env" },
	{ 0x530d5ff8, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2f1a494d, "init_srcu_struct" },
	{ 0xa35a64b6, "perf_trace_run_bpf_submit" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0xbb9bf77f, "blk_revalidate_disk_zones" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xae5303c5, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xade1999f, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x1f503d8, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x3526110b, "sysfs_remove_link" },
	{ 0x1b319d9c, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9afa5309, "__srcu_read_lock" },
	{ 0x9a23c4c4, "blk_mq_unfreeze_queue_nomemrestore" },
	{ 0xfe78b616, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x93630ac3, "submit_bio_noacct" },
	{ 0x49e00280, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x18948e9a, "blk_sync_queue" },
	{ 0xdcd5f8d7, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x906f19ad, "blk_mq_alloc_request_hctx" },
	{ 0xb05e3b1e, "blk_mq_alloc_request" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x4904379c, "crypto_shash_update" },
	{ 0x73d688e5, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5e922d9c, "blk_mq_free_tag_set" },
	{ 0xbbd34342, "del_gendisk" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x471bb695, "cleanup_srcu_struct" },
	{ 0xe928bbbf, "blk_freeze_queue_start_non_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x10f662a, "blk_set_stacking_limits" },
	{ 0xb74c481, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xbf873c7, "blk_put_queue" },
	{ 0xee4143fd, "bpf_trace_run1" },
	{ 0xb3b6f492, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x77a61b2a, "__alloc_pages" },
	{ 0xcb61475f, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x60e90fc8, "blk_rq_unmap_user" },
	{ 0xbcdd9379, "blk_mq_unfreeze_queue_non_owner" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa20bcba8, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0xdc63e744, "xa_erase" },
	{ 0x4f848f79, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4c3eab90, "blk_mq_complete_request" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0x6a870810, "crypto_shash_final" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0x6ae48ee6, "blk_mq_destroy_queue" },
	{ 0xc3ef4594, "xa_destroy" },
	{ 0xb20a8038, "blk_freeze_queue_start" },
	{ 0xdfc70b26, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x765c42a5, "xa_find" },
	{ 0x5c67ad45, "mempool_destroy" },
	{ 0x6b628d48, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xd4c380fa, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xff4bdbf0, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8c2750b7, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x67ce0a6b, "queue_limits_commit_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x42a170e7, "xa_find_after" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x842b44fe, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0x496d66a5, "blk_mq_freeze_queue_nomemsave" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x84f15107, "crypto_alloc_shash" },
	{ 0x2d47dfc8, "blk_mq_freeze_queue_wait" },
	{ 0x49d429d6, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcc4f872, "blk_mq_requeue_request" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x5f433f7d, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5ed68dd0, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc3802761, "bdev_end_io_acct" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x42d588e7, "blk_steal_bios" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "A87C20143DD957DFF9B1BAB");
MODULE_INFO(rhelversion, "9.7");
