#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xbdfd3884, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0x56eca20b, "_gpl");
SYMBOL_CRC(sas_free_task, 0x819e6003, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x0cca9d7e, "");
SYMBOL_CRC(sas_resume_ha, 0xe883b00b, "");
SYMBOL_CRC(sas_suspend_ha, 0x83d6f2fc, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x781b0182, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x897de5a8, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x0a1479f3, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x83ba96bd, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x75afc895, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x31642c0f, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xc7e252a9, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xe490fdda, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x6f0d4f5d, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xb46f4010, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xe5c987d8, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xcd601f67, "_gpl");
SYMBOL_CRC(sas_device_configure, 0x80dadfc5, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x948ff153, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x4101a636, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xbb7c77f2, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x4110f511, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x82c082da, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x6ba46389, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x8b338261, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xd7775be9, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xa1cdb963, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x5c7cc13a, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0x4fe6f646, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c1e6632, "ata_qc_complete" },
	{ 0xf7e30794, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x6974f48e, "sas_rphy_remove" },
	{ 0x227c4581, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xe4ba8ffe, "ata_sas_port_destroy" },
	{ 0xcecd3bab, "bsg_job_done" },
	{ 0xa2c118c, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x60ceb632, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xcf93c2cc, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0x6711bade, "scsi_schedule_eh" },
	{ 0xd078b682, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xa4d18ff2, "ata_host_init" },
	{ 0xde4a80f0, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0b21d90, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x1312c219, "sas_port_get_phy" },
	{ 0xff1d1359, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0x6e3e0627, "get_device" },
	{ 0x3da8dbdf, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x199ec67d, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x33bc8620, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xcb2faef9, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x676172a9, "kmem_cache_alloc" },
	{ 0x610616f3, "_dev_info" },
	{ 0x3ffe9f95, "sas_phy_free" },
	{ 0x34058b6c, "scsi_eh_finish_cmd" },
	{ 0xeee54938, "ata_sas_port_alloc" },
	{ 0x3f4fca09, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xecbb7fb0, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x5c475923, "sas_port_mark_backlink" },
	{ 0x83c00fcc, "kmem_cache_free" },
	{ 0x92b7046d, "ata_std_qc_defer" },
	{ 0xef4e0d49, "ata_sas_port_start" },
	{ 0xc1c1da57, "ata_scsi_port_error_handler" },
	{ 0x9a5577b2, "ata_change_queue_depth" },
	{ 0x126d2b90, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7c679d4b, "sas_end_device_alloc" },
	{ 0xb081b810, "mutex_lock_interruptible" },
	{ 0x5bd6cddc, "sas_read_port_mode_page" },
	{ 0x49bb8d86, "sas_expander_alloc" },
	{ 0x642eefda, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x31866ee4, "sas_rphy_delete" },
	{ 0xc36d4240, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xff002a4e, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x98ea87fa, "scsi_host_busy" },
	{ 0xbcf1a2f9, "ata_sas_async_probe" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x5781eadf, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2a4f92ac, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf9829952, "ata_sas_port_suspend" },
	{ 0xc42f6380, "sas_rphy_add" },
	{ 0x7555f24a, "sas_port_delete_phy" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7c43d4ed, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc1241975, "sas_port_add_phy" },
	{ 0x27b001d8, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xf18d6416, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcf068658, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x8bd6d4d3, "ata_host_put" },
	{ 0x371f1710, "sas_port_free" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xd1ee3fbc, "ata_std_sched_eh" },
	{ 0xfa8322c0, "scsi_block_requests" },
	{ 0xd76e84c1, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xbb4571cc, "sas_remove_children" },
	{ 0xd4362df0, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7188e55, "ata_port_wait_eh" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.7");
