#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x6c7f1b29, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x3946d9ac, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0xbf11c809, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x0d2c3462, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x6731969d, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x772a5645, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x9bbda758, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xdfc400a9, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0xbd8011d1, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x938362dd, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x957e3e59, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xe5dec992, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x94f25511, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0xff0f7be4, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xbdfc9a5d, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x9775fa6d, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x10553137, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x383c4e38, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x0532047c, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xbf75aa51, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x37e58fea, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x6cfc489f, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x18a2f652, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2fca8aaa, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1827cde1, "icmpv6_ndo_send" },
	{ 0xffa425cf, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5a4686c, "alloc_netdev_mqs" },
	{ 0x615122ab, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x9d02bd84, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1771da3b, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x28d46226, "ip_route_output_flow" },
	{ 0x270b6be, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x920f950b, "__dev_get_by_index" },
	{ 0x9e29ef79, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe8f96128, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xef2f8a62, "netdev_state_change" },
	{ 0xf51baf93, "ns_capable" },
	{ 0x5a2b9669, "dev_set_mtu" },
	{ 0xf8b7ab4e, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x89f4fae1, "skb_copy_bits" },
	{ 0x7ef9a779, "iptunnel_xmit" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0xf4307680, "__skb_get_hash_net" },
	{ 0xa09087cb, "dst_cache_get_ip4" },
	{ 0xff67e549, "dst_cache_set_ip4" },
	{ 0x1427f142, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbb72be4f, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa0a297d4, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x979adfd, "skb_scrub_packet" },
	{ 0x715fcae1, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0xff8e8ebb, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8560FCA61B1BB9F08C3E8B1");
MODULE_INFO(rhelversion, "9.7");
