#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x20e81958, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x4920d4d9, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x775d63e1, "_gpl");
SYMBOL_CRC(flow_offload_add, 0xf2ec55dd, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x35da2f3f, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xae04a444, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x2822aa7c, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xbbf04923, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x75674367, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x15aeb35f, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xdb651f6b, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x35dc59cd, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x5fe076c3, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x3553d94e, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x78b6d24b, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x9193be2c, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x792f1ae3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x533b9279, "flow_rule_alloc" },
	{ 0xf0d4a0f9, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x37b20622, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b10998b, "neigh_xmit" },
	{ 0x1f37b5e1, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x511bb75a, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x601a12cc, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x127391df, "proc_create_net_data" },
	{ 0x1427f142, "pskb_expand_head" },
	{ 0x6de8212e, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x647814b9, "down_write" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x3d89b12, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5a235d9b, "dev_get_by_index" },
	{ 0x6565eaa5, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x10b2ba96, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb54b93bd, "flow_indr_dev_setup_offload" },
	{ 0xbf5a8e53, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x26c7715d, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xd6ac4d7b, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa0a297d4, "__pskb_pull_tail" },
	{ 0x44685ee6, "rhashtable_destroy" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x5641979c, "down_read" },
	{ 0x7dc41dc4, "inet_proto_csum_replace16" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc622118, "rhashtable_insert_slow" },
	{ 0xfadb823a, "rt_read_lock" },
	{ 0x27c2cbc3, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb72be4f, "neigh_destroy" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xf360827, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xafe7c043, "rt_read_unlock" },
	{ 0xf2b7f20a, "remove_proc_entry" },
	{ 0x9e3cc4d, "nf_ct_acct_add" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x270b6be, "dst_release" },
	{ 0x2ebd10e0, "nf_ct_l4proto_find" },
	{ 0x50aa9878, "seq_puts" },
	{ 0x13f3f8ff, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7c9463e1, "up_read" },
	{ 0x139cc106, "rhashtable_walk_exit" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "95D507375C32960FF3A1DA6");
MODULE_INFO(rhelversion, "9.7");
