#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xe910d57e, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x0a303ee2, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x2099a2a0, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xa1fa9a55, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x86a220af, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xfd6879ca, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x4cb1d8e1, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xeaeff17f, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x1d6421e8, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x51ba7c35, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x1fe535a4, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x89ed8e1f, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xf81bdb96, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x15527e13, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x981a3e1e, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x0db9553d, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xe19f0e2c, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xf5fce34c, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x79a1fb5c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x42a4894c, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xcd6e36fa, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xbc351066, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x75526d70, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x14a7c5f8, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x90752c80, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xb2f28f47, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xcf675296, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xb0db961c, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0xd071eca0, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x44f019c8, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xdd501c2e, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x1333d27d, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0xe5e8b4dd, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xc15d5d24, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xb0006389, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xe1cf47fc, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xe07eb8b9, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x5c5fa6ef, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xf0cad35f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xaeb0714e, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x73ceb964, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x2f9ab9f2, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xe37ad8c1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xf77e4711, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x7c9a326c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x1f2dd3c1, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x6be7cb28, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xe5a66cdc, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x3586bd57, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x8121e9b1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x6ea89eb3, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xca680679, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xc02e164c, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x7ea12884, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x747d9ada, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x659148ce, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x7776d818, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xbefb22ee, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xf0602e29, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x07982a5a, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xb4d23468, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x47950c5c, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x557a18fe, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xa3ae6f7f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x521ec57f, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x1c5164e2, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x1a1cb832, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x85761a6a, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xceb71515, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xea392b87, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x964d428e, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xccb41ecb, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd972719b, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x7c67c146, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x5f89e237, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xc8ed8c25, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x5b094db3, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x5e5075fd, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x08fdd7a4, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xefd12dab, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xc77ae883, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xe64c2cdf, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x99fd106f, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x0c1cbe8a, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x86ba953b, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x4f27a22e, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xf110a781, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0xd52df8c0, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x549614d2, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x4a570a78, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xbd21000c, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x1c273f65, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xb6b3a756, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x4043cdda, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x04becb38, "");
SYMBOL_CRC(drm_flip_work_queue, 0x00d9962e, "");
SYMBOL_CRC(drm_flip_work_commit, 0x37ea25dd, "");
SYMBOL_CRC(drm_flip_work_init, 0x7e5b1a95, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xafc888f3, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x0860cf2e, "");
SYMBOL_CRC(drm_fb_swab, 0x47196b8f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x2db643b3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x3e7dabb2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xd33192ad, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xb62a22b1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x44cff1b7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x9da4fe9b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xf7930df9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xf44b5e29, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x8fd7630c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x827ad00c, "");
SYMBOL_CRC(drm_fb_blit, 0x1fda6a6b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x7cf8a663, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xee05597c, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xa00fadf5, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x39ac5568, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x90e51a20, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x03ea0d37, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x19cbd803, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x44677000, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x5ed30014, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x43e7af2c, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x3738dc4c, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x9795bbb0, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xbf90bc1b, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x2539dd99, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xbb773b1c, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xa1fa6122, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x03d2b233, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xce7544b8, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x65ea19f5, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x7c30d8d9, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x0678ca40, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x9b872bd0, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xea277204, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xad27a370, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0xa3d4db0f, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x6bd71efb, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x1b99f80c, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xd55be505, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x2e872a33, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xcadf9855, "");
SYMBOL_CRC(drm_crtc_init, 0x8fe98da2, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xbbbd362d, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xb9616db2, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x1dbefdf7, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0xd1e6a6e0, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x70b242a0, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x2b5bad9e, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x724315bd, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xc8ce19e9, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xe209e2a0, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xef202c32, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x7c1ddfd3, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x9839bfb3, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xb06b51fe, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x070ed69c, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xd8c274ce, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x5649b2ee, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x627b255b, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x77c4729e, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x7e10e67c, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x74f95784, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xee9933b1, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x910ffdd4, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x72ca6591, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xc9849480, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x6d997edf, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x02734095, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x4a24da2d, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xb81e5d95, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x336317a9, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x0423ba08, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x391a0474, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xeb55d472, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0xf13f0ba3, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x1bfae044, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xdf993082, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xf632301a, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x714c5eee, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xf9c60ba1, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xc10a44fc, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x9d43551b, "");
SYMBOL_CRC(drmm_of_get_bridge, 0xe582a74b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa276abc, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xa4df32cf, "drm_framebuffer_cleanup" },
	{ 0x5f6f4dcd, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2c13344c, "drm_panel_get_modes" },
	{ 0xc241194c, "drm_gem_vmap_unlocked" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0xc255595b, "drm_connector_list_update" },
	{ 0x92e4b5c6, "drm_bridge_add" },
	{ 0xfd19e795, "drm_bridge_chain_mode_valid" },
	{ 0x936335d0, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0x5d95f150, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x844a18c9, "drm_framebuffer_init" },
	{ 0x1dc16d6d, "drm_mode_validate_driver" },
	{ 0xbb26bf27, "drm_atomic_add_affected_planes" },
	{ 0x99291ff9, "dma_buf_end_cpu_access" },
	{ 0xf9899aaf, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4db7891e, "drm_mode_probed_add" },
	{ 0x939bc0de, "drm_atomic_add_affected_connectors" },
	{ 0x40b1e3d4, "drm_gem_vunmap_unlocked" },
	{ 0xf92a8037, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0xfd6b241c, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x39ddb27f, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xb434d721, "drm_mode_object_get" },
	{ 0xdc71ab59, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x387f67be, "drm_crtc_cleanup" },
	{ 0x36221b1f, "drm_connector_list_iter_begin" },
	{ 0x10f311c8, "drm_mode_set_config_internal" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x7fc4e660, "drm_encoder_cleanup" },
	{ 0x7aa0cc7c, "drm_modeset_acquire_init" },
	{ 0x1e8eae33, "dma_fence_set_deadline" },
	{ 0x36d3176a, "drm_warn_on_modeset_not_all_locked" },
	{ 0xc477df9a, "drm_plane_get_damage_clips" },
	{ 0xc04a7bcd, "devres_add" },
	{ 0x18b9e5b4, "dma_fence_wait_timeout" },
	{ 0x4617f511, "drm_add_modes_noedid" },
	{ 0xd0d86e7b, "drm_bridge_remove" },
	{ 0x7e61b68f, "drm_mode_object_put" },
	{ 0x10f4d484, "dev_driver_string" },
	{ 0x9ec2c74f, "drm_crtc_vblank_get" },
	{ 0x87e8fa11, "drm_gem_object_lookup" },
	{ 0xafb990b9, "drm_crtc_send_vblank_event" },
	{ 0xc5f51632, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x96828c69, "drm_atomic_normalize_zpos" },
	{ 0xae398fea, "drm_edid_connector_update" },
	{ 0xf52e595d, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeaaebf16, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x118f851, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xb78c252, "drm_connector_list_iter_end" },
	{ 0xc4a52d73, "drm_atomic_set_crtc_for_plane" },
	{ 0xf98bc34c, "drm_mode_prune_invalid" },
	{ 0x62129fb4, "drm_client_dev_hotplug" },
	{ 0x4479cc60, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xdff336c1, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x12fbb5a0, "dma_buf_begin_cpu_access" },
	{ 0x836de1f3, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x781979bf, "drm_crtc_next_vblank_start" },
	{ 0xe9d30b7e, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xf0fbf84c, "drm_modeset_lock" },
	{ 0xb62644c5, "drm_modeset_unlock" },
	{ 0x1c2bcd7d, "drm_panel_disable" },
	{ 0x739a8dea, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2e9e1dce, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8b5cbcce, "devm_kfree" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0x22ae1fc8, "drm_writeback_cleanup_job" },
	{ 0xded71c4b, "drm_modeset_lock_all_ctx" },
	{ 0xc4d6a059, "i2c_unregister_device" },
	{ 0x66719694, "drm_atomic_set_fb_for_plane" },
	{ 0x3446e757, "__drm_universal_plane_alloc" },
	{ 0x709ddb21, "drm_edid_connector_add_modes" },
	{ 0xc939ca9f, "drm_probe_ddc" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0xeabe5941, "__devres_alloc_node" },
	{ 0x10eacdd5, "drm_edid_read" },
	{ 0x91fa8db1, "drm_crtc_commit_wait" },
	{ 0x8d05e4ad, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x80eef203, "__drm_atomic_helper_disable_plane" },
	{ 0x8bfc7edf, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x6fe95814, "drm_gem_handle_create" },
	{ 0xca6e4004, "drm_atomic_set_crtc_for_connector" },
	{ 0x19d23b1f, "drm_analog_tv_mode" },
	{ 0x38a9be09, "drm_crtc_init_with_planes" },
	{ 0x5a82e588, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0xfc00e05b, "drm_crtc_vblank_put" },
	{ 0xaf7b75b2, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x19aea378, "__drm_dev_dbg" },
	{ 0xd39832e0, "drm_plane_get_damage_clips_count" },
	{ 0x8f6836b0, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xe3f2e705, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x84ced463, "drm_atomic_bridge_chain_post_disable" },
	{ 0x42570952, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xa075c2ae, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x57aa0308, "__drm_atomic_helper_set_config" },
	{ 0xb8ecd270, "mutex_trylock" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xe5dc2832, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x9c2386, "drm_connector_cleanup" },
	{ 0x6283f9f4, "drm_get_format_info" },
	{ 0x6b4b564a, "drm_universal_plane_init" },
	{ 0x5c42d9aa, "drm_any_plane_has_format" },
	{ 0xcc8eb79, "drm_connector_list_iter_next" },
	{ 0x50683cd0, "drm_modeset_acquire_fini" },
	{ 0x8241cd2, "drm_encoder_init" },
	{ 0xa2b4a64d, "drm_object_property_get_default_value" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0xacba81d9, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb4c4e2b0, "drm_modeset_backoff" },
	{ 0x53e2eb13, "drm_panel_prepare" },
	{ 0x5dcddf3d, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x35d9908b, "drm_atomic_get_plane_state" },
	{ 0xd7bf865a, "drm_atomic_bridge_chain_check" },
	{ 0x4f09b404, "dma_fence_chain_init" },
	{ 0x1e0e71bc, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x922a717e, "drm_property_blob_put" },
	{ 0x74f694a5, "drm_mode_destroy" },
	{ 0x777ee66a, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd279d782, "drm_set_preferred_mode" },
	{ 0x61b835e8, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xe4c700f0, "drm_atomic_state_clear" },
	{ 0xfdd03fc8, "drm_mode_config_reset" },
	{ 0x45f2e906, "drm_property_create_blob" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xd0123dee, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x9a17f089, "drm_atomic_bridge_chain_disable" },
	{ 0x170427a1, "drm_mode_create_from_cmdline_mode" },
	{ 0x8991e3f6, "drm_mode_validate_ycbcr420" },
	{ 0x1a5922d9, "drm_atomic_nonblocking_commit" },
	{ 0xb36dcddc, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x699c0460, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xd56dd1a1, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x7013fe33, "drm_atomic_add_encoder_bridges" },
	{ 0x89604bc0, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x512fe5f8, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "E6F29E0A47D8BCD515E367C");
MODULE_INFO(rhelversion, "9.7");
