#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x27daab37, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xdbaae058, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xb0d49ccd, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x2e0b3174, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x62eb499d, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xedbb597c, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x2a4b5f98, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x5e75fa27, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x35038618, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdcc69810, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1b32c3b7, "netdev_err" },
	{ 0x9a2f1ecc, "idr_remove" },
	{ 0x20d4b575, "skb_copy_datagram_iter" },
	{ 0x74b3ae8f, "_copy_to_iter" },
	{ 0x1e9b322e, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5c641863, "consume_skb" },
	{ 0x20162017, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x3e3763d4, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x5ed68dd0, "cdev_init" },
	{ 0x5ce7bd02, "cdev_add" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xfceb4ba9, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x5a18dba3, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x22c193b9, "skb_push" },
	{ 0xa8eb940e, "__skb_gso_segment" },
	{ 0x7dc23494, "kfree_skb_list_reason" },
	{ 0xefe9af92, "skb_checksum_help" },
	{ 0xf4307680, "__skb_get_hash_net" },
	{ 0x1665783, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x27f81911, "idr_find" },
	{ 0xe91b3630, "sk_alloc" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x595059d2, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x464d5137, "__skb_flow_dissect" },
	{ 0xd8751429, "skb_partial_csum_set" },
	{ 0xa0a297d4, "__pskb_pull_tail" },
	{ 0xfb72c7b2, "iov_iter_npages" },
	{ 0x59399246, "_copy_from_iter" },
	{ 0x6c2e5d08, "sock_alloc_send_pskb" },
	{ 0x19e8fc5f, "skb_put" },
	{ 0xf80ebf28, "zerocopy_sg_from_iter" },
	{ 0x27c2cbc3, "__dev_queue_xmit" },
	{ 0xc6c1afd4, "skb_copy_datagram_from_iter" },
	{ 0x58d5b473, "iov_iter_revert" },
	{ 0x89f4fae1, "skb_copy_bits" },
	{ 0x47fc9d2a, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5a636401, "dev_set_mac_address_user" },
	{ 0x7ee91838, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
