#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xebc00480, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xb38e6d26, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x5df1da59, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x213b66b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xaf0658c3, "__skb_checksum_complete" },
	{ 0x32e956b3, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x89f4fae1, "skb_copy_bits" },
	{ 0x465fbb37, "__nlmsg_put" },
	{ 0x843dccb9, "netdev_adjacent_change_commit" },
	{ 0xc8623e2e, "eth_mac_addr" },
	{ 0x19e8fc5f, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x97221025, "ip6_dst_hoplimit" },
	{ 0x6f603baf, "param_ops_ushort" },
	{ 0x5c641863, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0x7cc3a3c0, "udp_sock_create4" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x9d7a52c3, "udp_tunnel6_xmit_skb" },
	{ 0x5f5a304e, "rtnl_link_register" },
	{ 0x11d307ca, "__unregister_nexthop_notifier" },
	{ 0x737fdd8b, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3aa3d343, "eth_validate_addr" },
	{ 0x511bb75a, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xe8f96128, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4c79482d, "rtnl_create_link" },
	{ 0x1771da3b, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x52daa04a, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x689a5cd4, "ether_setup" },
	{ 0xb8b24137, "udp_tunnel_drop_rx_port" },
	{ 0x17163be0, "netdev_upper_dev_link" },
	{ 0x1427f142, "pskb_expand_head" },
	{ 0x6de8212e, "register_pernet_subsys" },
	{ 0xff8e8ebb, "eth_type_trans" },
	{ 0x35240f5a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xb03715b8, "__alloc_skb" },
	{ 0x18910a7a, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x368273a7, "eth_gro_complete" },
	{ 0x40491bca, "rtnl_set_sk_err" },
	{ 0x16dfe832, "eth_gro_receive" },
	{ 0xcd9e8b6c, "rtnl_configure_link" },
	{ 0xd812cb59, "skb_tunnel_check_pmtu" },
	{ 0x62811a95, "udp_tunnel_dst_lookup" },
	{ 0x9c537851, "rtnl_unicast" },
	{ 0x3966d1d8, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xf4307680, "__skb_get_hash_net" },
	{ 0x9e29ef79, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x920f950b, "__dev_get_by_index" },
	{ 0xeb90d099, "rtnl_link_unregister" },
	{ 0x4ac5fe52, "ipv6_stub" },
	{ 0x3d89b12, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x69712226, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6565eaa5, "dev_get_by_index_rcu" },
	{ 0x715fcae1, "gro_cells_receive" },
	{ 0x22c193b9, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x4b5bdd60, "netdev_upper_dev_unlink" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x9d02bd84, "free_netdev" },
	{ 0x5220acd7, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x6c5a6ad7, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xae9d29b0, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6f47aedf, "ethtool_op_get_link" },
	{ 0x30d3a410, "nexthop_find_by_id" },
	{ 0x538f8bb1, "arp_create" },
	{ 0xf074ef1b, "__ethtool_get_link_ksettings" },
	{ 0xce1b01fb, "netdev_adjacent_change_prepare" },
	{ 0x6382def, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x26c7715d, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xcc28ed69, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0xd6ac4d7b, "rht_bucket_nested_insert" },
	{ 0x54bd3e88, "netdev_adjacent_change_abort" },
	{ 0x826e87e9, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x76d7f73f, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xea6d0d77, "__iptunnel_pull_header" },
	{ 0xa0a297d4, "__pskb_pull_tail" },
	{ 0x259fc7f7, "dev_get_tstats64" },
	{ 0x8fa7e70a, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x44685ee6, "rhashtable_destroy" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x37c159ab, "setup_udp_tunnel_sock" },
	{ 0x38caa608, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4fd9532, "skb_trim" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xac2838e2, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x979adfd, "skb_scrub_packet" },
	{ 0x23d0c2bf, "nexthop_select_path" },
	{ 0xbc622118, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7a4ad1ce, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbb72be4f, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0x173dc906, "udp_tun_rx_dst" },
	{ 0xcc8b6cac, "rtnl_notify" },
	{ 0x88d636d1, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe3f9b846, "__netif_rx" },
	{ 0x7731b0cb, "skb_clone" },
	{ 0x624d5276, "metadata_dst_alloc" },
	{ 0x270b6be, "dst_release" },
	{ 0x98091b74, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xd29bf284, "udp_tunnel_notify_del_rx_port" },
	{ 0xb13a7a2c, "register_nexthop_notifier" },
	{ 0x47c2031b, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x5e2cc820, "gro_find_receive_by_type" },
	{ 0xc304a456, "netdev_core_stats_inc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xc18e3c2f, "netdev_info" },
	{ 0x369ff6d6, "neigh_lookup" },
	{ 0xd33ffe65, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x615122ab, "register_netdevice" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "FA7CF23B56E36E1596B63F3");
MODULE_INFO(rhelversion, "9.7");
