#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0xd6f7b2ad, "");
SYMBOL_CRC(geni_se_init, 0x0b92bdef, "");
SYMBOL_CRC(geni_se_select_mode, 0x215a9645, "");
SYMBOL_CRC(geni_se_config_packing, 0xa8eeb09c, "");
SYMBOL_CRC(geni_se_resources_off, 0xea5d48a2, "");
SYMBOL_CRC(geni_se_resources_on, 0x84802cc8, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x220bf161, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x9e045007, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x098136cc, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0x4dcce2e4, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0x1983c1c8, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x5dc81f2b, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0xa008cb3d, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0xe7bd7984, "");
SYMBOL_CRC(geni_icc_get, 0xdc3f6d4f, "");
SYMBOL_CRC(geni_icc_set_bw, 0x857bdb74, "");
SYMBOL_CRC(geni_icc_set_tag, 0x74ef6299, "");
SYMBOL_CRC(geni_icc_enable, 0x7557c4e5, "");
SYMBOL_CRC(geni_icc_disable, 0x02284ca1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f4703a7, "dma_unmap_page_attrs" },
	{ 0xfd3e4e10, "is_acpi_device_node" },
	{ 0x64f5d1a5, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0x4f359a37, "icc_set_bw" },
	{ 0xd3667f6d, "icc_set_tag" },
	{ 0xa57b5ea6, "icc_enable" },
	{ 0xe520b686, "icc_disable" },
	{ 0x987b4835, "__platform_driver_register" },
	{ 0x184a839d, "devm_kmalloc" },
	{ 0x3a83175a, "devm_platform_ioremap_resource" },
	{ 0x118cdac9, "devm_of_platform_populate" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0xfe27fdd, "device_get_match_data" },
	{ 0x9148c947, "of_count_phandle_with_args" },
	{ 0xba87a68, "devm_clk_bulk_get" },
	{ 0xa04f4096, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x6638bb8a, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x84a30cee, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6c7634d9, "dma_map_page_attrs" },
	{ 0x10f4d484, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "6BEB0E519200071345C77E9");
MODULE_INFO(rhelversion, "9.7");
