#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0x6f9fff25, "");
SYMBOL_CRC(w1_remove_master_device, 0xa0f43b93, "");
SYMBOL_CRC(w1_register_family, 0x2e2671a5, "");
SYMBOL_CRC(w1_unregister_family, 0x7c898e75, "");
SYMBOL_CRC(w1_touch_bit, 0x17d9cb7e, "_gpl");
SYMBOL_CRC(w1_write_8, 0xa3edfe7d, "_gpl");
SYMBOL_CRC(w1_triplet, 0x4243852e, "_gpl");
SYMBOL_CRC(w1_read_8, 0x7cb6f3ec, "_gpl");
SYMBOL_CRC(w1_write_block, 0xb3972991, "_gpl");
SYMBOL_CRC(w1_touch_block, 0xc85b40da, "_gpl");
SYMBOL_CRC(w1_read_block, 0xd65ae3b9, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0xcd8370a1, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xd924a782, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x09cfb99d, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0x9c4f93bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb42a9342, "device_unregister" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x148e118f, "sysfs_remove_groups" },
	{ 0xda4d39e5, "sysfs_create_groups" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9cb44aaa, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x1bd0e953, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33bc8620, "put_device" },
	{ 0x610616f3, "_dev_info" },
	{ 0x457d3cf6, "flush_signals" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x5ae74482, "bus_unregister" },
	{ 0xc6f52f3f, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x336b31eb, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x1065a245, "driver_unregister" },
	{ 0x699f5905, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x84770258, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3a772a85, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0xe12975c9, "_dev_warn" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x43ff29b0, "kthread_create_on_node" },
	{ 0x3ca7232a, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0x9ad63a5b, "kobject_uevent" },
	{ 0xb3f90dfb, "hwmon_device_unregister" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xd36b1aea, "param_ops_int" },
	{ 0xbfacfc8c, "of_find_matching_node_and_match" },
	{ 0x4911c581, "driver_register" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd93c3599, "bus_register" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C7761A4473B5836B7F5AB3A");
MODULE_INFO(rhelversion, "9.7");
