#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0xc823fe1f, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x50c6b4d2, "_gpl");
SYMBOL_CRC(fuse_request_end, 0x996003f7, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x2aaea935, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0x402a7836, "");
SYMBOL_CRC(fuse_abort_conn, 0xb2eb9407, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x5ee8625f, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x41837cf9, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x49e9303c, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x7a36f8d7, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0xa2655265, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0xdac92a9e, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x2aea70c5, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0x6257ff04, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x12350671, "_gpl");
SYMBOL_CRC(fuse_send_init, 0xf2e75d74, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0xd91e33b4, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0xfa213045, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x217746ce, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xc1e314c3, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0x063a8e46, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x75a6b7c3, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0x6e1de501, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0x7ba3224b, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0xe1ee9418, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xf54a51d9, "");
SYMBOL_CRC(fuse_do_ioctl, 0x85283982, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a5287f2, "super_setup_bdi_name" },
	{ 0xdebbab76, "posix_test_lock" },
	{ 0x40853e76, "truncate_inode_pages" },
	{ 0x465c5cfe, "generic_copy_file_range" },
	{ 0x48a857e1, "noop_backing_dev_info" },
	{ 0xe914e41e, "strcpy" },
	{ 0xea379683, "pipe_lock" },
	{ 0xe2d206e2, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd1dbf052, "vfs_fsync_range" },
	{ 0xbbe7ac04, "setattr_prepare" },
	{ 0x6c91845, "clear_nlink" },
	{ 0x21099f40, "file_check_and_advance_wb_err" },
	{ 0x36a63b8d, "d_alloc_parallel" },
	{ 0x98126578, "flush_dcache_page" },
	{ 0xf0d4a0f9, "__init_rwsem" },
	{ 0xa622cf3e, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xb51ae296, "misc_deregister" },
	{ 0x524cda06, "make_vfsgid" },
	{ 0x75eb4833, "clear_inode" },
	{ 0xa9925bf3, "inode_to_bdi" },
	{ 0x175abd2b, "find_pid_ns" },
	{ 0xd3609c8, "grab_cache_page_write_begin" },
	{ 0x1f109822, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x950a7105, "pipe_unlock" },
	{ 0x13f66bc2, "fs_param_is_string" },
	{ 0x7d2eef5f, "folio_unlock" },
	{ 0x4e55c237, "generic_file_splice_read" },
	{ 0x984b68e6, "new_inode" },
	{ 0x57fbdd2d, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0x3a3f28f2, "dump_page" },
	{ 0xd559bee6, "forget_all_cached_acls" },
	{ 0x1a48083b, "init_special_inode" },
	{ 0xcb3667ec, "unregister_filesystem" },
	{ 0xfd74d3bb, "task_active_pid_ns" },
	{ 0xef12bd45, "iov_iter_single_seg_count" },
	{ 0x96b2d075, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0x20162017, "finish_wait" },
	{ 0xd88e31a3, "d_alloc_name" },
	{ 0xbc75aa4d, "replace_page_cache_folio" },
	{ 0xf881b7f1, "inode_query_iversion" },
	{ 0x1e9b322e, "iov_iter_advance" },
	{ 0x875f8b09, "kill_fasync" },
	{ 0xc0b64b01, "d_make_root" },
	{ 0x97b22964, "sb_set_blocksize" },
	{ 0xc42b9981, "fget" },
	{ 0xca3abf99, "simple_fill_super" },
	{ 0x90fc50ae, "xas_find" },
	{ 0xba1b22d9, "invalidate_mapping_pages" },
	{ 0xcfe6ab8f, "sync_filesystem" },
	{ 0x48e1ae54, "sget_fc" },
	{ 0x1d8ff8a9, "param_set_uint" },
	{ 0x36cc68b9, "d_splice_alias" },
	{ 0x697a9e7d, "iov_iter_get_pages2" },
	{ 0xf0a548ed, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x796fb722, "page_get_link" },
	{ 0xd03e1f03, "generic_permission" },
	{ 0xa259c95b, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f2e2ad, "invalidate_inode_pages2_range" },
	{ 0xa466f1e3, "posix_lock_file" },
	{ 0x951819c5, "finish_open" },
	{ 0xdc4b7047, "iput" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x30de1a74, "logfc" },
	{ 0x6388043d, "iter_file_splice_write" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x61741d74, "init_pid_ns" },
	{ 0xca9075c, "iov_iter_init" },
	{ 0x9e1c91c4, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x1bc2b3f, "sysfs_create_mount_point" },
	{ 0x9af83c8, "generic_file_write_iter" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb26efac, "register_filesystem" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0x594f2f66, "folio_add_lru" },
	{ 0x37a78d5f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x57640f8f, "sync_inode_metadata" },
	{ 0xa0035723, "simple_empty" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd2128395, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x8b7a059d, "shrink_dcache_parent" },
	{ 0x1252cb6d, "get_tree_nodev" },
	{ 0x5bcb24e6, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbd881399, "fs_param_is_u32" },
	{ 0x7669025c, "inode_newsize_ok" },
	{ 0xec7f6c86, "d_drop" },
	{ 0xfb8948e1, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xb21a7a6e, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x6cd11298, "bdi_put" },
	{ 0xa8413a68, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x8f84ea43, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1666f659, "make_kuid" },
	{ 0xf985dca6, "truncate_inode_pages_final" },
	{ 0x5147ecbe, "fs_kobj" },
	{ 0xe62972d1, "__filemap_set_wb_err" },
	{ 0x335eb28e, "simple_dir_operations" },
	{ 0xc13cf313, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xabbe926f, "__free_pages" },
	{ 0x676172a9, "kmem_cache_alloc" },
	{ 0xacaf452, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x41cc280a, "setattr_should_drop_suidgid" },
	{ 0xc5bb6b20, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdc303b3c, "copy_page_from_iter_atomic" },
	{ 0x77b0d315, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb36372a8, "inode_init_once" },
	{ 0x3a4a2859, "file_write_and_wait_range" },
	{ 0x9eb21cbd, "nosteal_pipe_buf_ops" },
	{ 0xc98ea73b, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x654321ed, "inode_nohighmem" },
	{ 0xe8dc18f0, "copy_highpage" },
	{ 0x92826bd6, "release_pages" },
	{ 0x5ec1a46a, "generic_file_direct_write" },
	{ 0xa8a7fb62, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x647814b9, "down_write" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xbb02b1f1, "generic_file_read_iter" },
	{ 0x14ded10a, "inode_maybe_inc_iversion" },
	{ 0xa676f7ce, "unlock_page" },
	{ 0xa5aeae43, "inc_node_page_state" },
	{ 0xa07a37f0, "memchr" },
	{ 0xcc9319b0, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1617dfee, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd1df9a8e, "dec_node_page_state" },
	{ 0x32a4f450, "write_cache_pages" },
	{ 0x311aec6, "file_update_time" },
	{ 0x6f499bb1, "set_nlink" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x83c00fcc, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0xf032c9be, "from_kgid" },
	{ 0xf443959a, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x56f96b68, "file_remove_privs" },
	{ 0x31b4d89f, "write_inode_now" },
	{ 0x723abcef, "d_obtain_alias" },
	{ 0x659a8ebf, "file_modified" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x87801747, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x5377a7b8, "finish_no_open" },
	{ 0x8985d9b5, "__folio_start_writeback" },
	{ 0xfb73692f, "kill_litter_super" },
	{ 0xe467a051, "folio_end_writeback" },
	{ 0xe3ab165c, "from_kuid" },
	{ 0xcf485002, "current_in_userns" },
	{ 0x198166d4, "fc_mount" },
	{ 0xdcb764ad, "memset" },
	{ 0x71f01047, "sysfs_remove_mount_point" },
	{ 0x755f04bd, "misc_register" },
	{ 0x77a61b2a, "__alloc_pages" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x830bc2ed, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8d7c026b, "d_delete" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xdaa6e2f3, "from_kgid_munged" },
	{ 0x182dc999, "end_page_writeback" },
	{ 0x69afa67d, "kobject_create_and_add" },
	{ 0x5641979c, "down_read" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xe735708, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfd98e4eb, "nonseekable_open" },
	{ 0x9803356f, "set_page_dirty" },
	{ 0xa26af65, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf40f953e, "redirty_page_for_writepage" },
	{ 0x33a930f0, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5766a6ec, "generic_read_dir" },
	{ 0xda4d29dd, "d_add" },
	{ 0xb71a3f23, "set_page_writeback" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x2bf9c345, "init_user_ns" },
	{ 0xb698c5c6, "d_find_alias" },
	{ 0x2f73c73, "invalidate_inode_pages2" },
	{ 0x5215a081, "inc_nlink" },
	{ 0xf6106f39, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5aa46ed5, "get_tree_bdev" },
	{ 0x45d1c8e6, "set_anon_super_fc" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0x9dc3f5ed, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x13c3d46c, "generic_delete_inode" },
	{ 0x689f27ab, "deactivate_locked_super" },
	{ 0x1ac5ad04, "touch_atime" },
	{ 0xfdf2ce3d, "__d_lookup_unhash_wake" },
	{ 0x680b1fdf, "set_page_dirty_lock" },
	{ 0x2c83e99f, "pid_nr_ns" },
	{ 0x4c96ee72, "generic_file_open" },
	{ 0x9e2b2294, "truncate_inode_pages_range" },
	{ 0x20d57e89, "__put_user_ns" },
	{ 0xd9b2dd94, "__folio_lock" },
	{ 0x5a2c713d, "filemap_dirty_folio" },
	{ 0x49a46a27, "pagecache_get_page" },
	{ 0x50aa9878, "seq_puts" },
	{ 0x69c25a08, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x2b3470fa, "__wake_up_sync" },
	{ 0xc7e6518d, "add_to_pipe" },
	{ 0xbfdbae62, "__fs_parse" },
	{ 0x64cf8323, "posix_acl_to_xattr" },
	{ 0x558fa80, "dget_parent" },
	{ 0xa1572cfe, "kill_anon_super" },
	{ 0xee4dac99, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xb6ac0e7f, "iget5_locked" },
	{ 0x18711591, "security_dentry_init_security" },
	{ 0x143d5645, "filemap_write_and_wait_range" },
	{ 0x8af58375, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x55f42fc7, "generic_write_checks" },
	{ 0x58d5b473, "iov_iter_revert" },
	{ 0x3def66b8, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xca4a2ec3, "mntget" },
	{ 0xe2553361, "kmem_cache_alloc_lru" },
	{ 0x29dc4ac3, "filemap_fault" },
	{ 0x57cfbf1b, "d_invalidate" },
	{ 0xc3028767, "__mark_inode_dirty" },
	{ 0xfe62b428, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7c9463e1, "up_read" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0xfb72c7b2, "iov_iter_npages" },
	{ 0xdc331c32, "drop_nlink" },
	{ 0xadfd7ab2, "fault_in_iov_iter_readable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x81a813ed, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0x39e56f76, "bdi_set_max_ratio" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0x5e05dc4b, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7DBF81E138208D31B51FCD0");
MODULE_INFO(rhelversion, "9.7");
