#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x556768e6, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xcf721db9, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x6664d526, "_gpl");
SYMBOL_CRC(nfs_free_client, 0xc657d068, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x60c80c3d, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x44339f77, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0x3fe18e80, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0x45cc17f5, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x51e35a16, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xf23de639, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x63e62f2c, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x82787620, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x67172405, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x7d8e1fa9, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x1a3ed3a7, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x28cb94c3, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x5111a718, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x3fa03a70, "_gpl");
SYMBOL_CRC(nfs_free_server, 0x734f656c, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x2bb8dd8b, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xd62afd79, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0xfed65048, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x9875299c, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x9dc0c4df, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0xbdb461f1, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x6b8eb75c, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x7effafd9, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x7d36020f, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0xfd3331f8, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0x7736d957, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x34a4da94, "_gpl");
SYMBOL_CRC(nfs_create, 0xad47f0c0, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x2c2dda25, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0xdda1eee8, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xbe27ba19, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x74bacdda, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x0e7784ac, "_gpl");
SYMBOL_CRC(nfs_link, 0x92a6ebf5, "_gpl");
SYMBOL_CRC(nfs_rename, 0x697b326a, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x4a996fc2, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0x7e51a696, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xdb34bde9, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0xb8d6e515, "_gpl");
SYMBOL_CRC(nfs_permission, 0x7883a8ba, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xae247671, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xb812da07, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xa5818221, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x4ba8a8ae, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xb7a9da7a, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x8eb39b5b, "_gpl");
SYMBOL_CRC(nfs_lock, 0x493900b1, "_gpl");
SYMBOL_CRC(nfs_flock, 0x015c998e, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x82af6031, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x5eb3c36a, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0xbe4c1bad, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x99e576cd, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0xd7b46556, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x0dc5d380, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0x13a4d28e, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x6dacda46, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x6556b159, "_gpl");
SYMBOL_CRC(nfs_fhget, 0xf2fdfbab, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xdf9b39b6, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x538f19a8, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0x49a25dbd, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x0123d742, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0x916420fb, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0xb29fdb04, "_gpl");
SYMBOL_CRC(nfs_close_context, 0x69cef510, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x696574d1, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xf980b89a, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xb795b22c, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x4a6e0dc2, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xd70ec1e2, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x2285a4a3, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x932b759e, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x8240a132, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x8ee0a123, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xf19a36d5, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x24304972, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0x19cc8220, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0x4a0002e8, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0x7ef4473a, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x7f5ac26f, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xc583e73c, "_gpl");
SYMBOL_CRC(nfs_statfs, 0xe9fe3840, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x0c9a2ae1, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xe9f5bb3b, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x4cd3b473, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0x7b7c5289, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0xcf6b2cb2, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x7027ff5d, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x0eeec059, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xdbf323c6, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x9091ad85, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xaa353ae8, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x03b28cf3, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0x352611b9, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x4c686331, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x069cae64, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x70eaf2cb, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xa4601215, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0xc4466ddc, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x8c68c5bb, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0x0f16cd0d, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x43257b6c, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x600f6795, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x3ad555e8, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x97b104d0, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x50ce8467, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xc62146c4, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x2e758e6a, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0x3a87409f, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xfa772a1c, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0xa96c205d, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xa14acfad, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x908e4362, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x89a7a62d, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x6eb91866, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0xeb3fbb96, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0xe01e7f1f, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x5df37b7e, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0x3730f3e0, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x3aa53a19, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0xbe7a6809, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xc61e2aef, "_gpl");
SYMBOL_CRC(nfs_path, 0x71e5be93, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0xc8040d27, "_gpl");
SYMBOL_CRC(nfs_submount, 0x77d7a605, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x50e3acd7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x454f75d3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xe7682a2c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0xde24dad4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x8b8aa713, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x1bb2e2c1, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x1402f8a3, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0x4e647e53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe946d50, "rpc_put_task" },
	{ 0x3a5287f2, "super_setup_bdi_name" },
	{ 0xdebbab76, "posix_test_lock" },
	{ 0xadb710fe, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc4baac57, "filemap_fdatawrite" },
	{ 0xe2d206e2, "generic_fillattr" },
	{ 0xd1dbf052, "vfs_fsync_range" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0x6c91845, "clear_nlink" },
	{ 0x21099f40, "file_check_and_advance_wb_err" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x36a63b8d, "d_alloc_parallel" },
	{ 0x98126578, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf0d4a0f9, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x75eb4833, "clear_inode" },
	{ 0xa9925bf3, "inode_to_bdi" },
	{ 0xffd5afd2, "bpf_trace_run4" },
	{ 0x46831a72, "ida_destroy" },
	{ 0xfa301ff4, "param_ops_ulong" },
	{ 0x303b07a1, "proc_dointvec_jiffies" },
	{ 0xafa5d085, "rpc_proc_register" },
	{ 0xc277105d, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe1eb2a87, "sysfs_create_file_ns" },
	{ 0xe68c92fd, "rpc_shutdown_client" },
	{ 0x13f66bc2, "fs_param_is_string" },
	{ 0x7d2eef5f, "folio_unlock" },
	{ 0x9e8f80f1, "mnt_set_expiry" },
	{ 0x6f603baf, "param_ops_ushort" },
	{ 0x20206ba, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x4e55c237, "generic_file_splice_read" },
	{ 0x3b173107, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x57fbdd2d, "filemap_map_pages" },
	{ 0x1fe65c9d, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe58de938, "trace_raw_output_prep" },
	{ 0xbb3f13cb, "kobject_rename" },
	{ 0xf00b3d28, "security_sb_set_mnt_opts" },
	{ 0x1a48083b, "init_special_inode" },
	{ 0xcb3667ec, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x878c222c, "filemap_fdatawrite_range" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0xe814bf45, "folio_wait_bit_killable" },
	{ 0x20162017, "finish_wait" },
	{ 0x4e223a0c, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xc0b64b01, "d_make_root" },
	{ 0x8c2824d3, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xcfe6ab8f, "sync_filesystem" },
	{ 0x99a0da53, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x48e1ae54, "sget_fc" },
	{ 0x36cc68b9, "d_splice_alias" },
	{ 0xddd30303, "generic_error_remove_page" },
	{ 0x436a87bd, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xf6db63c4, "unmap_mapping_range" },
	{ 0xff2887c2, "ihold" },
	{ 0x70697c4c, "inode_dio_wait" },
	{ 0xd03e1f03, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x56f2e2ad, "invalidate_inode_pages2_range" },
	{ 0xf7966329, "read_cache_page" },
	{ 0x951819c5, "finish_open" },
	{ 0xdc4b7047, "iput" },
	{ 0x832139f7, "kset_unregister" },
	{ 0x6b267a22, "security_sb_clone_mnt_opts" },
	{ 0x9878646, "fs_param_is_enum" },
	{ 0x30de1a74, "logfc" },
	{ 0x6388043d, "iter_file_splice_write" },
	{ 0x968183f7, "rpc_pton" },
	{ 0xa2c785db, "mod_node_page_state" },
	{ 0xce885b5d, "rpc_wake_up_queued_task" },
	{ 0x4ca092ac, "bpf_trace_run2" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x91960bda, "remove_proc_subtree" },
	{ 0x5e6acb71, "rpc_restart_call_prepare" },
	{ 0x9e1c91c4, "d_lookup" },
	{ 0xcd206480, "event_triggers_call" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x329cb866, "__module_get" },
	{ 0xdb26efac, "register_filesystem" },
	{ 0x609280ce, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x37a78d5f, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xce30954d, "mempool_free" },
	{ 0x3e322c11, "filemap_add_folio" },
	{ 0x756d29c, "rpc_sleep_on" },
	{ 0x7aefa12e, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x127391df, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb51a9fb6, "d_prune_aliases" },
	{ 0x1a4184, "__put_cred" },
	{ 0x6de8212e, "register_pernet_subsys" },
	{ 0x59855fae, "rpc_cancel_tasks" },
	{ 0xe1e5d415, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x48398be0, "migrate_folio" },
	{ 0x5bcb24e6, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xbd881399, "fs_param_is_u32" },
	{ 0x7669025c, "inode_newsize_ok" },
	{ 0xec7f6c86, "d_drop" },
	{ 0xbb0e9e37, "deactivate_super" },
	{ 0xb21a7a6e, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd89481c, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0xa742c8c3, "security_sb_mnt_opts_compat" },
	{ 0x8f84ea43, "param_get_uint" },
	{ 0xf788d21a, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf4cd28f, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xef2c82a8, "trace_event_ignore_this_pid" },
	{ 0x1666f659, "make_kuid" },
	{ 0xf985dca6, "truncate_inode_pages_final" },
	{ 0xc368db50, "d_alloc" },
	{ 0x5147ecbe, "fs_kobj" },
	{ 0xb427ca19, "net_ns_type_operations" },
	{ 0xe62972d1, "__filemap_set_wb_err" },
	{ 0xc13cf313, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x65d070e8, "generic_perform_write" },
	{ 0x58b6c1b0, "__filemap_get_folio" },
	{ 0x3c321861, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xf0fbf385, "simple_nosetlease" },
	{ 0x676172a9, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x25ae264f, "__var_waitqueue" },
	{ 0x4611d93a, "rpc_setbufsize" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x77b0d315, "fs_context_for_submount" },
	{ 0xb36372a8, "inode_init_once" },
	{ 0xa84e6d3b, "folio_wait_private_2" },
	{ 0x3a4a2859, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x9a2f1ecc, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xc98ea73b, "ilookup5" },
	{ 0xa82d7f01, "generic_parse_monolithic" },
	{ 0x17008de3, "contig_page_data" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x654321ed, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa35a64b6, "perf_trace_run_bpf_submit" },
	{ 0x9323a3c1, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0x647814b9, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0x4ae6cccc, "up_write" },
	{ 0xbb02b1f1, "generic_file_read_iter" },
	{ 0xa676f7ce, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x18f3ef21, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0xcc9319b0, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1617dfee, "put_fs_context" },
	{ 0x7377bd2a, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x1afdf0ae, "kobj_sysfs_ops" },
	{ 0x49e00280, "xa_load" },
	{ 0xae655561, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x32a4f450, "write_cache_pages" },
	{ 0x6f499bb1, "set_nlink" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x83c00fcc, "kmem_cache_free" },
	{ 0x991e6140, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xfbc6f893, "d_move" },
	{ 0x2a188478, "seq_putc" },
	{ 0xc9ee6736, "rpc_proc_unregister" },
	{ 0xf43e321d, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4e78bb81, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xbeff038b, "folio_wait_writeback" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x2e344959, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x346b71, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x31b4d89f, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x723abcef, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x1b4ef4e8, "rpc_create" },
	{ 0x5377a7b8, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8985d9b5, "__folio_start_writeback" },
	{ 0xed2e4a4d, "d_obtain_root" },
	{ 0xee4143fd, "bpf_trace_run1" },
	{ 0xad3a41af, "param_ops_short" },
	{ 0x5a18dba3, "idr_destroy" },
	{ 0xe467a051, "folio_end_writeback" },
	{ 0xb3c75b46, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x612295da, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc3e25b24, "rpc_put_task_async" },
	{ 0x26c7715d, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xe2a2344c, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0x77a61b2a, "__alloc_pages" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0x33e9ceb4, "rpc_exit" },
	{ 0x830bc2ed, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8d7c026b, "d_delete" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0x6a5df554, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x8d211101, "rpc_killall_tasks" },
	{ 0x5641979c, "down_read" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0xd47ba6cb, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x61634311, "iov_iter_get_pages_alloc2" },
	{ 0x9803356f, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4f848f79, "bpf_trace_run3" },
	{ 0x7322fb85, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x7bbf98cb, "__folio_alloc" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5766a6ec, "generic_read_dir" },
	{ 0x583e8ac9, "kobject_del" },
	{ 0xf7c8fa42, "trace_event_buffer_reserve" },
	{ 0xda4d29dd, "d_add" },
	{ 0x21e07ef2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xd8ead86d, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x2bf9c345, "init_user_ns" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x2f73c73, "invalidate_inode_pages2" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5c67ad45, "mempool_destroy" },
	{ 0xf6106f39, "__folio_put" },
	{ 0xc7c2ebe3, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0x9dc3f5ed, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xc17d03f4, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x689f27ab, "deactivate_locked_super" },
	{ 0xbaa793e2, "put_rpccred" },
	{ 0x3ae612ee, "__percpu_down_read" },
	{ 0xfdf2ce3d, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9ad63a5b, "kobject_uevent" },
	{ 0xf5cb4b59, "folio_mapping" },
	{ 0x31b70acc, "downgrade_write" },
	{ 0x169bb335, "cred_fscmp" },
	{ 0xd9b2dd94, "__folio_lock" },
	{ 0x5a2c713d, "filemap_dirty_folio" },
	{ 0x49a46a27, "pagecache_get_page" },
	{ 0xde51c813, "is_bad_inode" },
	{ 0x23905c7, "proc_dointvec" },
	{ 0x50aa9878, "seq_puts" },
	{ 0xf12e547a, "rcuwait_wake_up" },
	{ 0xbb3d17cc, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x9f43d73d, "seq_escape" },
	{ 0xe3b66e2f, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xbfdbae62, "__fs_parse" },
	{ 0x6d5af140, "sysfs_create_link_nowarn" },
	{ 0x558fa80, "dget_parent" },
	{ 0x2ff38817, "nlmclnt_init" },
	{ 0xa1572cfe, "kill_anon_super" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xb6ac0e7f, "iget5_locked" },
	{ 0x143d5645, "filemap_write_and_wait_range" },
	{ 0x983d886b, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x56bb890c, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x65c195c0, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xd36b1aea, "param_ops_int" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x58d5b473, "iov_iter_revert" },
	{ 0x55f42fc7, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xca4a2ec3, "mntget" },
	{ 0xa093e4ff, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0xe2553361, "kmem_cache_alloc_lru" },
	{ 0x29dc4ac3, "filemap_fault" },
	{ 0x57cfbf1b, "d_invalidate" },
	{ 0xc3028767, "__mark_inode_dirty" },
	{ 0xfe62b428, "generic_file_llseek" },
	{ 0x70fea300, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x7c9463e1, "up_read" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x8969f53f, "rpc_wait_for_completion_task" },
	{ 0xc4ebd0e0, "set_anon_super" },
	{ 0xdc331c32, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc076cb05, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e05dc4b, "kobject_put" },
	{ 0xd6a58abe, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,lockd");


MODULE_INFO(srcversion, "91A72D47C87398F8BACB884");
MODULE_INFO(rhelversion, "9.7");
