#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x4e41cdce, "");
SYMBOL_CRC(bt_sock_register, 0xe8ef9323, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0xcd75246a, "");
SYMBOL_CRC(bt_sock_link, 0xdb8e8c8c, "");
SYMBOL_CRC(bt_sock_unlink, 0x9501b44f, "");
SYMBOL_CRC(bt_sock_linked, 0xd83968e8, "");
SYMBOL_CRC(bt_accept_enqueue, 0x899f8304, "");
SYMBOL_CRC(bt_accept_unlink, 0x5ba03e39, "");
SYMBOL_CRC(bt_accept_dequeue, 0x4cd1e7bb, "");
SYMBOL_CRC(bt_sock_recvmsg, 0xd9487f29, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x9b15152c, "");
SYMBOL_CRC(bt_sock_poll, 0xaf9512dc, "");
SYMBOL_CRC(bt_sock_ioctl, 0x04cfc2d8, "");
SYMBOL_CRC(bt_sock_wait_state, 0x59bf417b, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xc48e1842, "");
SYMBOL_CRC(bt_procfs_init, 0x46a3373b, "");
SYMBOL_CRC(bt_procfs_cleanup, 0x483a7080, "");
SYMBOL_CRC(bt_debugfs, 0x33704223, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x7b6a6ac2, "");
SYMBOL_CRC(hci_free_dev, 0x6896d51a, "");
SYMBOL_CRC(hci_register_dev, 0xa333ab11, "");
SYMBOL_CRC(hci_unregister_dev, 0x9d091b49, "");
SYMBOL_CRC(hci_release_dev, 0xd236f0c4, "");
SYMBOL_CRC(hci_suspend_dev, 0x6713079b, "");
SYMBOL_CRC(hci_resume_dev, 0x7cab39b7, "");
SYMBOL_CRC(hci_reset_dev, 0x9919eaa1, "");
SYMBOL_CRC(hci_recv_frame, 0x409c1d1c, "");
SYMBOL_CRC(hci_recv_diag, 0x17971777, "");
SYMBOL_CRC(hci_set_hw_info, 0xa501604e, "");
SYMBOL_CRC(hci_set_fw_info, 0x504f92ea, "");
SYMBOL_CRC(hci_register_cb, 0x758bfa4d, "");
SYMBOL_CRC(hci_unregister_cb, 0x6da2a446, "");
SYMBOL_CRC(__hci_cmd_send, 0x2f0ffc47, "");
SYMBOL_CRC(hci_get_route, 0xa66e7880, "");
SYMBOL_CRC(hci_conn_security, 0x056ad9e2, "");
SYMBOL_CRC(hci_conn_check_secure, 0xaa12bed0, "");
SYMBOL_CRC(hci_conn_switch_role, 0x4a6b8cbc, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x64d2bf91, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0xefd0cd13, "");
SYMBOL_CRC(l2cap_add_psm, 0xe05117de, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0x96af69b7, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0x815d4521, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x9dfd12dd, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xd7735f98, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x3327a047, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0x4a01e61b, "");
SYMBOL_CRC(l2cap_register_user, 0xd6928c25, "");
SYMBOL_CRC(l2cap_unregister_user, 0x06382dd1, "");
SYMBOL_CRC(l2cap_conn_get, 0x17da9732, "");
SYMBOL_CRC(l2cap_conn_put, 0x3409c40b, "");
SYMBOL_CRC(l2cap_chan_send, 0x2d3d102a, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0x49a293fb, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0x59a29fc8, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x44dbc401, "");
SYMBOL_CRC(__hci_cmd_sync, 0xe65be3eb, "");
SYMBOL_CRC(hci_cmd_sync, 0x07f64532, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0x28b5109c, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0xa3c8e4d5, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0x995d1f58, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xe015375d, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xfd5b50a8, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0xcbbdc028, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x7194136f, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0x84095d09, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xfc383792, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x3860e51e, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0xf9480b6e, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0x6cdceff7, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xfeab61af, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0xe568d057, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x47325c19, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x9f779f56, "");
SYMBOL_CRC(hci_devcd_init, 0x9b762355, "");
SYMBOL_CRC(hci_devcd_append, 0xa7f3471d, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0x2e07cd69, "");
SYMBOL_CRC(hci_devcd_complete, 0x0f553546, "");
SYMBOL_CRC(hci_devcd_abort, 0x81b56e93, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x72ece0f6, "skb_free_datagram" },
	{ 0x6f1e6a00, "sock_queue_rcv_skb_reason" },
	{ 0x126e715c, "ida_alloc_range" },
	{ 0xfd5d4c5c, "try_module_get" },
	{ 0x59253a0c, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4ad8b4f1, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x46831a72, "ida_destroy" },
	{ 0x27f81911, "idr_find" },
	{ 0x1c5ad487, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x19e8fc5f, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x3d0800bc, "dev_set_name" },
	{ 0xafe02b2a, "scm_detach_fds" },
	{ 0xe298408, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb42a9342, "device_unregister" },
	{ 0x89cbd2ae, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf6647544, "rt_mutex_base_init" },
	{ 0xe942c763, "debugfs_create_u16" },
	{ 0x20162017, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xd60b5bfa, "device_find_any_child" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xa0a74262, "add_wait_queue_exclusive" },
	{ 0x2904617f, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x2867daac, "seq_lseek" },
	{ 0xc8b6c9ed, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x89d27520, "sock_no_connect" },
	{ 0xb66a3667, "prepare_to_wait_event" },
	{ 0xc9b2dd10, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x695b09b8, "__wake_up" },
	{ 0x329cb866, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x6e3e0627, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xceb6c6c9, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1a4184, "__put_cred" },
	{ 0x94a6f81e, "put_cmsg" },
	{ 0x9cbdf8dc, "skb_queue_purge_reason" },
	{ 0x80d3c2b, "crypto_destroy_tfm" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8bc9e38c, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x774d9ea, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x43716dc7, "sock_register" },
	{ 0xe2d8ed98, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x33bc8620, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb03715b8, "__alloc_skb" },
	{ 0x140bf48b, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x606f2571, "rt_write_unlock" },
	{ 0xff8e9adc, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xef8344ac, "skb_queue_tail" },
	{ 0xc1ddf3e, "module_put" },
	{ 0x5201faf9, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9a2f1ecc, "idr_remove" },
	{ 0x96f3fdb0, "debugfs_attr_read" },
	{ 0x225aedba, "__sock_recv_timestamp" },
	{ 0x7e0d85d5, "sock_no_shutdown" },
	{ 0x2d7e7bdf, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa60632b8, "crypto_req_done" },
	{ 0xf8b7ab4e, "init_net" },
	{ 0xae5303c5, "crypto_shash_setkey" },
	{ 0x97b7aa34, "simple_open" },
	{ 0x3d89b12, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xade1999f, "device_add" },
	{ 0xdcc69810, "idr_alloc" },
	{ 0x2b8f5c0e, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1bf23dc9, "init_uts_ns" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x1665783, "sk_free" },
	{ 0xab23fc78, "device_move" },
	{ 0x60b39bf7, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8b5d62d1, "mutex_lock" },
	{ 0x22c193b9, "skb_push" },
	{ 0x1587022a, "sock_no_listen" },
	{ 0xcdef0f09, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x2a188478, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xc499263b, "iov_iter_kvec" },
	{ 0x82d49ee7, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x73d688e5, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xae9d29b0, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x70e3b79c, "dev_coredumpv" },
	{ 0x20d4b575, "skb_copy_datagram_iter" },
	{ 0x57252c9a, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0xe91b3630, "sk_alloc" },
	{ 0xb3b6f492, "device_del" },
	{ 0x38b0c03a, "__sock_queue_rcv_skb" },
	{ 0x5a18dba3, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x4c121d51, "default_llseek" },
	{ 0xfdea5f77, "__sock_recv_wifi_status" },
	{ 0xe3ab165c, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xabfea46e, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1951ac6d, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xc5cf224e, "sock_no_mmap" },
	{ 0x218df1d7, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xa0a297d4, "__pskb_pull_tail" },
	{ 0x63f196af, "rt_spin_unlock" },
	{ 0xcff67165, "__scm_destroy" },
	{ 0xdaa6e2f3, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x4fd9532, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x932b2dbf, "rt_spin_lock" },
	{ 0x73ebc2a6, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bba5ebc, "seq_read" },
	{ 0xfadb823a, "rt_read_lock" },
	{ 0x6b86dab8, "sock_i_ino" },
	{ 0x10972f7, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x2c2de32e, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xb8b2b9d7, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0xa569a89c, "skb_recv_datagram" },
	{ 0x6c2e5d08, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xafe7c043, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf2b7f20a, "remove_proc_entry" },
	{ 0x7ba5559f, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3a6e6ad3, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xaa0e34b9, "skb_copy" },
	{ 0x7731b0cb, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x521c5716, "rt_write_lock" },
	{ 0x59399246, "_copy_from_iter" },
	{ 0xa124da07, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x32fa81c0, "remove_wait_queue" },
	{ 0x50aa9878, "seq_puts" },
	{ 0x6a6a3fbb, "sock_gettstamp" },
	{ 0x5cf16db6, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf599fb1b, "pid_vnr" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0xee4dac99, "from_kuid_munged" },
	{ 0xc943b344, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x58d5b473, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x509c27a6, "proc_create_seq_private" },
	{ 0x1cba7095, "debugfs_create_u8" },
	{ 0xdcf16c8, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x84f15107, "crypto_alloc_shash" },
	{ 0xb36dcddc, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf2be030d, "fwnode_property_read_u8_array" },
	{ 0x96fdc4bf, "__mutex_rt_init" },
	{ 0x71df36d, "put_pid" },
	{ 0x5f433f7d, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x36784f64, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb626956b, "__dev_fwnode" },
	{ 0x1563b996, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd33ffe65, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd757e16c, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "6133416AC16FAD858998447");
MODULE_INFO(rhelversion, "9.7");
