#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xc34aeafe, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x7f1ed63b, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xcc214c72, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x15563719, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x1cc4342a, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xc27c0c50, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x8fe4f2e5, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xaffc17f8, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x5f8c91b9, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xfd597cd2, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xa54b81e4, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x728f88fd, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x291929ed, "ipv6_chk_addr_and_flags" },
	{ 0x6565eaa5, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x34ba3cda, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xf0e0df0c, "register_pernet_device" },
	{ 0xb0c689ff, "xfrm6_tunnel_register" },
	{ 0x5f5a304e, "rtnl_link_register" },
	{ 0xdf374123, "xfrm6_tunnel_deregister" },
	{ 0xbbcf8f7f, "unregister_pernet_device" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1771da3b, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x62c84f8f, "rt6_lookup" },
	{ 0x270b6be, "dst_release" },
	{ 0x920f950b, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x53a71b09, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xf8b7ab4e, "init_net" },
	{ 0x5a4686c, "alloc_netdev_mqs" },
	{ 0xf520215d, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9d02bd84, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeb90d099, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe8f96128, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa0a297d4, "__pskb_pull_tail" },
	{ 0x615122ab, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef2f8a62, "netdev_state_change" },
	{ 0x1666f659, "make_kuid" },
	{ 0x9a9aab51, "ip6_redirect" },
	{ 0x6a4ee916, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x5eec6579, "dst_cache_get" },
	{ 0x979adfd, "skb_scrub_packet" },
	{ 0x9676cea6, "skb_realloc_headroom" },
	{ 0xaf129b30, "skb_set_owner_w" },
	{ 0x5c641863, "consume_skb" },
	{ 0x2641ea01, "ipv6_push_frag_opts" },
	{ 0x22c193b9, "skb_push" },
	{ 0x55855b51, "ip6_local_out" },
	{ 0x8b9a5649, "ip6_route_output_flags" },
	{ 0x10129335, "ipv6_dev_get_saddr" },
	{ 0xbb03deaa, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x89f4fae1, "skb_copy_bits" },
	{ 0x97221025, "ip6_dst_hoplimit" },
	{ 0xbb72be4f, "neigh_destroy" },
	{ 0x7731b0cb, "skb_clone" },
	{ 0x3d89b12, "skb_pull" },
	{ 0x343c6cd7, "__icmpv6_send" },
	{ 0x59897a6b, "sk_skb_reason_drop" },
	{ 0x715fcae1, "gro_cells_receive" },
	{ 0xff8e8ebb, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x28d46226, "ip_route_output_flow" },
	{ 0xf506f8f5, "ip_route_input_noref" },
	{ 0xeb424f16, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xea6d0d77, "__iptunnel_pull_header" },
	{ 0x624d5276, "metadata_dst_alloc" },
	{ 0x52daa04a, "iptunnel_handle_offloads" },
	{ 0x1827cde1, "icmpv6_ndo_send" },
	{ 0xffa425cf, "icmp_ndo_send" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xf51baf93, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x259fc7f7, "dev_get_tstats64" },
	{ 0x2ab3b5d5, "param_ops_bool" },
	{ 0x89b077f6, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.7");
